"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103234b80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103234cc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103234c20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103234d60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103234e00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103234ea0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103234f40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103234fe0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103235080>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103235120>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1032351c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103235260>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103235300>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1032353a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103235440>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1032354e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103235580>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103235620>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1032356c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103235760>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103235800>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1032358a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103235940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1032359e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103235a80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103235b20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103235bc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103235c60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103235d00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103235da0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103235e40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103235ee0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103235f80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103236020>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1032360c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103236160>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103236200>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1032362a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103236340>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1032363e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103236480>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103236520>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1032365c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103236660>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103236700>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1032367a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103236840>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1032368e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103236980>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103236a20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103236ac0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103236b60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103236c00>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103236ca0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103236d40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103236de0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103236e80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103236f20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103236fc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103237060>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103237100>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1032371a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103237240>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1032372e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103237380>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103237420>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1032374c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103237560>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103237600>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1032376a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103237740>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1032377e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103237880>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103237920>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1032379c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103237a60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103237b00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103237ba0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103237c40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103237d80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103237ce0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103237e20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103237ec0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103237f60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103240040>)]
name: str = 'fr_HOCCN'
